## evms 1.0.0

=== engine/Makefile ===
#
# Enterprise Volume Manager System - User Interface Engine
#

include make.rules


all:
	 @for dir in ${subdirs}; do \
	  (cd $$dir && $(MAKE) all) \
	  || case "$(MFLAGS)" in *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"

install:
	rm -f $(DESTDIR)$(PLUGINS_DIR)/lib*

	@for dir in ${subdirs} include man; do \
	  (cd $$dir && $(MAKE) install) \
	  || case "$(MFLAGS)" in *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"

	@echo
	@echo "The EVMS User-Space Engine has been installed."
	@echo
	@echo "The Engine and dlist libraries are in: $(DESTDIR)$(EVMSLIB_DIR)"
	@echo "The Plug-Ins are in: $(DESTDIR)$(EVMSLIB_DIR)/evms"
	@echo "The binaries are in: $(DESTDIR)$(sbindir)"
	@echo
	@echo "Remember to add the Engine library directory (and NOT the"
	@echo "Plugin directory) to your /etc/ld.so.conf file, and run"
	@echo "ldconfig to update the dynamic linker run-time bindings."
	@echo
	@echo "Also remember to enable EVMS support in your Linux kernel,"
	@echo "or the Engine will not operate correctly."
	@echo
	@echo "You can get started using EVMS by running \"evmsgui\" or"
	@echo "\"evmsn\" or \"evms\"."
	@echo

uninstall:
	@for dir in ${subdirs} include man; do \
	  (cd $$dir && $(MAKE) uninstall) \
	  || case "$(MFLAGS)" in *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
	rmdir --ignore-fail-on-non-empty $(DESTDIR)$(PLUGINS_DIR)
	rmdir --ignore-fail-on-non-empty $(DESTDIR)$(EVMSLIB_DIR)

clean:
	/bin/rm -f *~ config.cache config.log config.status
	@for dir in ${subdirs}; do \
	  (cd $$dir && $(MAKE) clean) \
	  || case "$(MFLAGS)" in *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"

distclean: clean
	@for dir in ${subdirs}; do \
	  (cd $$dir && $(MAKE) distclean) \
	  || case "$(MFLAGS)" in *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
	/bin/rm -f config.status config.cache config.log make.rules

configure: aclocal.m4 configure.in
	autoconf

=== engine/Engine/Makefile ===
#
# Enterprise Volume Manager System - User Interface Engine
#
# target -> libevms.so ... the engine api framework
#

include ../make.rules

NAME	= evms

MAJOR_VERSION   = 1
MINOR_VERSION   = 0
PATCH_LEVEL     = 0
EXTRAVERSION    =

TARGET	= lib$(NAME)-$(VERSION).so
SONAME	= lib$(NAME).so.$(MAJOR_VERSION)
ARNAME	= lib$(NAME).a
LIBNAME	= lib$(NAME).so
SRCS	:= $(shell ls *.c)
OBJS	:= $(shell ls *.c | sed s/\\.c/\\.o/)

all: .depend $(TARGET)

install: all
	../mkinstalldirs.sh $(DESTDIR)$(EVMSLIB_DIR)
	$(INSTALL) -m 755 $(TARGET) $(DESTDIR)$(EVMSLIB_DIR)
	$(INSTALL) -m 644 $(ARNAME) $(DESTDIR)$(EVMSLIB_DIR)
	rm -f $(DESTDIR)$(EVMSLIB_DIR)/$(LIBNAME)
	ln -s $(TARGET) $(DESTDIR)$(EVMSLIB_DIR)/$(LIBNAME)

uninstall:
	rm -f $(DESTDIR)$(EVMSLIB_DIR)/$(LIBNAME)
	rm -f $(DESTDIR)$(EVMSLIB_DIR)/$(ARNAME)
	rm -f $(DESTDIR)$(EVMSLIB_DIR)/$(TARGET)

$(TARGET): $(OBJS)
	$(CC) $(SO_CFLAGS) -Wl,-soname,$(SONAME) -o $(TARGET) $(OBJS)
	ar rcs $(ARNAME) $(OBJS)
	ln -sf $(TARGET) $(LIBNAME)

clean:
	rm -f .depend *.o *.so *.a $(TARGET)

distclean: clean

.depend:
	$(CPP) -M $(EVMSCFLAGS) *.c > .depend

dep: .depend

# grab our dep file
ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== engine/dlist/Makefile ===
#
# Enterprise Volume Manager System - User Interface Engine
#
# target -> libdlist.so ... the generic list manager
#

include ../make.rules

NAME	= dlist

MAJOR_VERSION	= 1
MINOR_VERSION	= 0
VERSION		= $(MAJOR_VERSION).$(MINOR_VERSION)

TARGET	= lib$(NAME)-$(VERSION).so
SONAME	= lib$(NAME).so.$(MAJOR_VERSION)
ARNAME	= lib$(NAME).a
LIBNAME	= lib$(NAME).so
SRCS	:= $(shell ls *.c)
OBJS	:= $(shell ls *.c | sed s/\\.c/\\.o/)

all: .depend $(TARGET)

install: all
	../mkinstalldirs.sh $(DESTDIR)$(EVMSLIB_DIR)
	$(INSTALL) -m 755 $(TARGET) $(DESTDIR)$(EVMSLIB_DIR)
	$(INSTALL) -m 644 $(ARNAME) $(DESTDIR)$(EVMSLIB_DIR)
	rm -f $(DESTDIR)$(EVMSLIB_DIR)/$(LIBNAME)
	ln -s $(TARGET) $(DESTDIR)$(EVMSLIB_DIR)/$(LIBNAME)

uninstall:
	rm -f $(DESTDIR)$(EVMSLIB_DIR)/$(LIBNAME)
	rm -f $(DESTDIR)$(EVMSLIB_DIR)/$(ARNAME)
	rm -f $(DESTDIR)$(EVMSLIB_DIR)/$(TARGET)

$(TARGET): $(OBJS)
	$(CC) -shared -lc -ldl -Wl,-soname,$(SONAME) -o $(TARGET) $(OBJS)
	ar rcs $(ARNAME) $(OBJS)
	ln -sf $(TARGET) $(LIBNAME)

clean:
	rm -f .depend *.o *.so *.a $(TARGET)

distclean: clean

.depend:
	$(CPP) -M $(EVMSCFLAGS) *.c > .depend

dep: .depend

# grab our dep file
ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== engine/include/Makefile ===
# EVMS Engine Header Files

include ../make.rules

TARGETS:=$(shell ls *.h)

all: $(TARGETS)

install: all
	../mkinstalldirs.sh $(DESTDIR)$(EVMSHEADERS_DIR)
	@for f in $(TARGETS); do \
		echo "$(INSTALL) -m 644 $$f $(DESTDIR)$(EVMSHEADERS_DIR)"; \
		$(INSTALL) -m 644 $$f $(DESTDIR)$(EVMSHEADERS_DIR); \
	done

uninstall:
	@for f in $(TARGETS); do \
		echo "rm -f $(DESTDIR)$(EVMSHEADERS_DIR)/$$f"; \
		rm -f $(DESTDIR)$(EVMSHEADERS_DIR)/$$f; \
	done
	rmdir --ignore-fail-on-non-empty $(DESTDIR)$(EVMSHEADERS_DIR)

$(TARGET):

clean:

distclean: clean

.depend:

dep: .depend

# grab our dep file
ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== engine/man/Makefile ===
# EVMS Engine Man Pages

include ../make.rules

TARGETS:=$(shell ls *.8)

all: $(TARGETS)

install: all
	../mkinstalldirs.sh $(DESTDIR)$(mandir)/man8
	@for f in $(TARGETS); do \
		echo "$(INSTALL) -m 644 $$f $(DESTDIR)$(mandir)/man8"; \
		$(INSTALL) -m 644 $$f $(DESTDIR)$(mandir)/man8; \
	done

uninstall:
	@for f in $(TARGETS); do \
		echo "rm -f $(DESTDIR)$(mandir)/man8/$$f"; \
		rm -f $(DESTDIR)$(mandir)/man8/$$f; \
	done
	rmdir --ignore-fail-on-non-empty $(DESTDIR)$(mandir)/man8

$(TARGET):

clean:

distclean: clean

.depend:

dep: .depend

# grab our dep file
ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== engine/Plugins/aixregmgr/Makefile ===
#
# Enterprise Volume Manager System
# 
# The EVMS AIX Region Manager Plugin
#

include ../../make.rules

NAME	= aixregmgr

MAJOR_VERSION	= 0
MINOR_VERSION	= 1
PATCH_LEVEL	= 0
EXTRAVERSION	=

TARGET	= lib$(NAME)-$(VERSION).so
SONAME	= lib$(NAME).so.$(MAJOR_VERSION)
SRCS	:= $(shell ls *.c)
OBJS	:= $(shell ls *.c | sed s/\\.c/\\.o/)

all: .depend $(TARGET)

install: all
	../../mkinstalldirs.sh $(DESTDIR)$(PLUGINS_DIR)
	$(INSTALL) -m 755 $(TARGET) $(DESTDIR)$(PLUGINS_DIR)

uninstall:
	rm -f $(DESTDIR)$(PLUGINS_DIR)/$(TARGET)

$(TARGET): $(OBJS)
	$(CC) $(SO_CFLAGS) -Wl,-soname,$(SONAME) -o $(TARGET) $(OBJS)

clean:
	rm -f .depend *.o *.so $(TARGET)

distclean: clean

.depend:
	$(CPP) -M $(EVMSCFLAGS) *.c > .depend

dep: .depend

# grab our dep file
ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== engine/Plugins/bbr/Makefile ===
#
# Enterprise Volume Manager System
# 
# The EVMS Bad Block Relocation Feature Plugin
#

include ../../make.rules

NAME	= bbr

MAJOR_VERSION	= 1
MINOR_VERSION	= 0
PATCH_LEVEL	= 0
EXTRAVERSION	=

TARGET	= lib$(NAME)-$(VERSION).so
SONAME	= lib$(NAME).so.$(MAJOR_VERSION)
SRCS	:= $(shell ls *.c)
OBJS	:= $(shell ls *.c | sed s/\\.c/\\.o/)

all: .depend $(TARGET)

install: all
	../../mkinstalldirs.sh $(DESTDIR)$(PLUGINS_DIR)
	$(INSTALL) -m 755 $(TARGET) $(DESTDIR)$(PLUGINS_DIR)

uninstall:
	rm -f $(DESTDIR)$(PLUGINS_DIR)/$(TARGET)

$(TARGET): $(OBJS)
	$(CC) $(SO_CFLAGS) -Wl,-soname,$(SONAME) -o $(TARGET) $(OBJS)

clean:
	rm -f .depend *.o *.so $(TARGET)

distclean: clean

.depend:
	$(CPP) -M $(EVMSCFLAGS) *.c > .depend

dep: .depend

# grab our dep file
ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== engine/Plugins/defsegmgr/Makefile ===
#
# Enterprise Volume Manager System
# 
# The EVMS Default Segment Manager Plugin
#

include ../../make.rules

NAME	= defsegmgr

MAJOR_VERSION	= 1
MINOR_VERSION	= 0
PATCH_LEVEL	= 0
EXTRAVERSION	=

TARGET	= lib$(NAME)-$(VERSION).so
SONAME	= lib$(NAME).so.$(MAJOR_VERSION)
SRCS	:= $(shell ls *.c)
OBJS	:= $(shell ls *.c | sed s/\\.c/\\.o/)

all: .depend $(TARGET)

install: all
	../../mkinstalldirs.sh $(DESTDIR)$(PLUGINS_DIR)
	$(INSTALL) -m 755 $(TARGET) $(DESTDIR)$(PLUGINS_DIR)

uninstall:
	rm -f $(DESTDIR)$(PLUGINS_DIR)/$(TARGET)

$(TARGET): $(OBJS)
	$(CC) $(SO_CFLAGS) -Wl,-soname,$(SONAME) -o $(TARGET) $(OBJS)

clean:
	rm -f .depend *.o *.so $(TARGET)

distclean: clean

.depend:
	$(CPP) -M $(EVMSCFLAGS) *.c > .depend

dep: .depend

# grab our dep file
ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== engine/Plugins/drivelink/Makefile ===
#
# Enterprise Volume Manager System
# 
# The EVMS Drive-Linking Feature Plugin
#

include ../../make.rules

NAME	= drivelink

MAJOR_VERSION	= 1
MINOR_VERSION	= 0
PATCH_LEVEL	= 0
EXTRAVERSION	=

TARGET	= lib$(NAME)-$(VERSION).so
SONAME	= lib$(NAME).so.$(MAJOR_VERSION)
SRCS	:= $(shell ls *.c)
OBJS	:= $(shell ls *.c | sed s/\\.c/\\.o/)

all: .depend $(TARGET)

install: all
	../../mkinstalldirs.sh $(DESTDIR)$(PLUGINS_DIR)
	$(INSTALL) -m 755 $(TARGET) $(DESTDIR)$(PLUGINS_DIR)

uninstall:
	rm -f $(DESTDIR)$(PLUGINS_DIR)/$(TARGET)

$(TARGET): $(OBJS)
	$(CC) $(SO_CFLAGS) -Wl,-soname,$(SONAME) -o $(TARGET) $(OBJS)

clean:
	rm -f .depend *.o *.so $(TARGET)

distclean: clean

.depend:
	$(CPP) -M $(EVMSCFLAGS) *.c > .depend

dep: .depend

# grab our dep file
ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== engine/Plugins/localdskmgr/Makefile ===
#
# Enterprise Volume Manager System
# 
# The EVMS Local Device Manager Plugin
#

include ../../make.rules

NAME	= localdskmgr

MAJOR_VERSION	= 1
MINOR_VERSION	= 0
PATCH_LEVEL	= 0
EXTRAVERSION	=

TARGET	= lib$(NAME)-$(VERSION).so
SONAME	= lib$(NAME).so.$(MAJOR_VERSION)
SRCS	:= $(shell ls *.c)
OBJS	:= $(shell ls *.c | sed s/\\.c/\\.o/)

all: .depend $(TARGET)

install: all
	../../mkinstalldirs.sh $(DESTDIR)$(PLUGINS_DIR)
	$(INSTALL) -m 755 $(TARGET) $(DESTDIR)$(PLUGINS_DIR)

uninstall:
	rm -f $(DESTDIR)$(PLUGINS_DIR)/$(TARGET)

$(TARGET): $(OBJS)
	$(CC) $(SO_CFLAGS) -Wl,-soname,$(SONAME) -o $(TARGET) $(OBJS)

clean:
	rm -f .depend *.o *.so $(TARGET)

distclean: clean

.depend:
	$(CPP) -M $(EVMSCFLAGS) *.c > .depend

dep: .depend

# grab our dep file
ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== engine/Plugins/lvmregmgr/Makefile ===
#
# Enterprise Volume Manager System
# 
# The EVMS LVM Region Manager Plugin
#

include ../../make.rules

NAME	= lvmregmgr

MAJOR_VERSION	= 1
MINOR_VERSION	= 0
PATCH_LEVEL	= 0
EXTRAVERSION	=

TARGET	= lib$(NAME)-$(VERSION).so
SONAME	= lib$(NAME).so.$(MAJOR_VERSION)
SRCS	:= $(shell ls *.c)
OBJS	:= $(shell ls *.c | sed s/\\.c/\\.o/)

all: .depend $(TARGET)

install: all
	../../mkinstalldirs.sh $(DESTDIR)$(PLUGINS_DIR)
	$(INSTALL) -m 755 $(TARGET) $(DESTDIR)$(PLUGINS_DIR)

uninstall:
	rm -f $(DESTDIR)$(PLUGINS_DIR)/$(TARGET)

$(TARGET): $(OBJS)
	$(CC) $(SO_CFLAGS) -Wl,-soname,$(SONAME) -o $(TARGET) $(OBJS)

clean:
	rm -f .depend *.o *.so $(TARGET)

distclean: clean

.depend:
	$(CPP) -M $(EVMSCFLAGS) *.c > .depend

dep: .depend

# grab our dep file
ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== engine/Plugins/mdregmgr/Makefile ===
#
# Enterprise Volume Manager System
# 
# The EVMS MD Region Manager Plugin
#

include ../../make.rules

NAME	= mdregmgr

MAJOR_VERSION	= 0
MINOR_VERSION	= 1
PATCH_LEVEL	= 0
EXTRAVERSION	=

TARGET	= lib$(NAME)-$(VERSION).so
SONAME	= lib$(NAME).so.$(MAJOR_VERSION)
SRCS	:= $(shell ls *.c)
OBJS	:= $(shell ls *.c | sed s/\\.c/\\.o/)

all: .depend $(TARGET)

install: all
	../../mkinstalldirs.sh $(DESTDIR)$(PLUGINS_DIR)
	$(INSTALL) -m 755 $(TARGET) $(DESTDIR)$(PLUGINS_DIR)

uninstall:
	rm -f $(DESTDIR)$(PLUGINS_DIR)/$(TARGET)

$(TARGET): $(OBJS)
	$(CC) $(SO_CFLAGS) -Wl,-soname,$(SONAME) -o $(TARGET) $(OBJS)

clean:
	rm -f .depend *.o *.so $(TARGET)

distclean: clean

.depend:
	$(CPP) -M $(EVMSCFLAGS) *.c > .depend

dep: .depend

# grab our dep file
ifeq (.depend,$(wildcard .depend))
include .depend
endif

## evms 2.5.5

=== tests/mpdev/Makefile ===
srcdir = .
top_srcdir = ..
include ../../make.rules

all: .depend mp

mp: % : %.o
	$(CC) -o $@ $@.o

install: all

uninstall:

clean:
	rm -f .depend $(OBJECTS) mp

distclean: clean

ifeq (.depend, $(wildcard .depend))
include .depend
endif

## evms 2.5.5-18ubuntu4

=== debian/changelog ===
evms (2.5.5-18ubuntu4) feisty; urgency=low

  * Install evms udev rules into the initramfs.  LP: #74317.
  * Rename evms udev rules to 85-evms.rules 

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 10 Apr 2007 09:19:02 +0100

evms (2.5.5-18ubuntu3) feisty; urgency=low

  * Rename 70-evms.rules to 80-evms.rules, and react to block device changes
    as well as additions.  LP: #102232, #102350.
  * Update initramfs when evms is removed/purged.

 -- Scott James Remnant <scott@ubuntu.com>  Tue,  3 Apr 2007 16:32:40 +0100

evms (2.5.5-18ubuntu2) feisty; urgency=low

  * Rebuild for changes in the amd64 toolchain.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  5 Mar 2007 01:15:42 +0000

evms (2.5.5-18ubuntu1) feisty; urgency=low

  Implementation of UdevEvms:
  * Provide udev rules to run evms_activate as appropriate via watershed.
    Functionality depends on other parts of the feisty udev/evms/hal etc.
    setup to actually work well.

 -- Ian Jackson <iwj@ubuntu.com>  Fri,  8 Dec 2006 18:06:25 +0000

evms (2.5.5-18) unstable; urgency=low

  * Apply patches from upstream:
    * cli_query_segfault.patch, fixes a segfault in the CLI when doing a
      query.
    * cli_reload_options.patch, reloads the right option descriptors after
      a change.
    * ntfs_unmkfs.patch, fixes a bug in the wiping of NTFS file systems.
    * raid5_remove_spare_fix.patch + raid5_remove_spare_fix_2.patch, lets the
      user remove a spare if resync does not run.
    * raid5_algorithm.patch, makes EVMS heed the parity algorithm the user
      selects when creating a RAID-5 array.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 14 Sep 2006 19:32:30 +0200

evms (2.5.5-17) unstable; urgency=medium

  * Revert the GTK+ 2.0 patch; it's too buggy, there's no upstream support
    (and upstream doesn't look like they'll pull it in anytime soon, even
    after nagging) and it doesn't really buy us much except looks anyhow.
    We don't really have the resources to maintain this patch externally from
    upstream, so it's better just to remove it.
    (Closes: #385706, #386598, #385708, #385710, #386096)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri,  8 Sep 2006 23:36:50 +0200

evms (2.5.5-16) unstable; urgency=low

  * In the GTK+ interface, make sure all callbacks are of type gboolean and
    return FALSE to avoid trapping the events. (Closes: #385705)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat,  2 Sep 2006 15:54:35 +0200

evms (2.5.5-15) unstable; urgency=low

  * Move the init script priority from 27 to 25, so we are consistently ahead
    of mdadm (not before in the initramfs and after in the normal boot order).
    This will hopefully make evms and mdadm work a little more happily
    together, although more work still remains.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 21 Aug 2006 15:36:27 +0200

evms (2.5.5-14) unstable; urgency=low

  * Stop including asm/page.h, and instead use sysconf() to get PAGE_SIZE 
    to fix the build failures on ia64 and powerpc; patch from Ubuntu by
    Adam Conrad.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 21 Aug 2006 10:57:09 +0200

evms (2.5.5-13) unstable; urgency=low

  * Apply fix for implicit pointer conversions; fixes possible crashes on
    64-bit platforms, patch from Dann Frazier. (Closes: #381391)

 -- Steinar H. Gunderson <sesse@debian.org>  Tue,  8 Aug 2006 21:17:46 +0200

evms (2.5.5-12) unstable; urgency=low

  * In evms-bootdebug, make sure we have a halfway reasonable /etc/mtab (copy
    /proc/mounts if there is none); resize2fs barfs if it can't find one, and
    we really want resize functionality in there, as you can't easily convert
    a compatibility volume to an EVMS volume otherwise.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon,  7 Aug 2006 01:56:15 +0200

evms (2.5.5-11) unstable; urgency=low

  * Full sync with Ubuntu.
    * Pull in LSB patch for init script; depend on lsb-base. (Closes: #340319)
    * Merge GTK+ 2.x patch for evms-cli; thanks to Matt Zimmermann for the
      final bits.
      * ui/gtk/*: Merge patches directly.
      * Change the check for GTK 1.2 in configure.ac to a check for GTK 2.x.
      * Append the contents of /usr/share/aclocal/gtk-2.0.m4 to aclocal.m4
        (to get the right autoconf macro), and rerun autoconf.
      * Build-depend on libgtk2.0-dev instead of libgtk1.2-dev.
      * Patch make.rules.in to use @GTK_CFLAGS@ instead of @GTK_CPPFLAGS@;
        they're not the same, but for our use the latter will do.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 30 Jul 2006 21:09:37 +0200

evms (2.5.5-10) unstable; urgency=low

  * Adjust the long dependency of linux-patch-evms.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 16 Jul 2006 18:27:01 +0200

evms (2.5.5-9) unstable; urgency=low

  * Rename kernel-patch-evms to linux-patch-evms, adding a
    replaces/conflicts/provides on the old name to ensure a smooth transition.
    (Closes: #364457)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 14 Jul 2006 00:22:26 +0200

evms (2.5.5-8) unstable; urgency=low

  * First round of syncing against Ubuntu:
    * Add a prereq from evms' initramfs script to udev, to make sure the
      appropriate devices are there when evms_activate runs.
    * Drop the version from evms-bootdebug's dependency on initramfs-tools;
      it's not needed, and causes problems for Ubuntu since they have a lower
      version number on initramfs-tools than Debian ATM.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 25 Jun 2006 01:06:24 +0200

evms (2.5.5-7) unstable; urgency=low

  * In evms-bootdebug's initramfs hook, include the termcaps for vt100 and
    vt220, not just for the Linux terminal. This should make it easier to run
    evms-bootdebug over a serial console (although the user still has to set
    $TERM manually).

 -- Steinar H. Gunderson <sesse@debian.org>  Sun,  4 Jun 2006 23:26:35 +0200

evms (2.5.5-6) unstable; urgency=low



=== debian/control ===
Source: evms
Section: admin
Priority: extra
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Steinar H. Gunderson <sesse@debian.org>
Build-Depends: debhelper (>> 5.0.0), libgtk1.2-dev, libncurses5-dev | libncurses-dev, libreadline5-dev | libreadline-dev, uuid-dev, heartbeat-dev (>= 1.0.2-1), libglib1.2-dev, libdevmapper-dev
Build-Depends-Indep: dh-kpatches (>= 0.99.22)
Standards-Version: 3.6.2.0

Package: evms
Architecture: any
Depends: ${shlibs:Depends}, lsb-base (>= 1.3-9ubuntu2)
Recommends: evms-gui | evms-ncurses, evms-cli
Suggests: linux-patch-evms, evms-ha
Enhances: initrd-tools, initramfs-tools, devfsd
Replaces: initramfs-tools (<= 0.50)
Description: Enterprise Volume Management System (core)
 The EVMS project provides unparalleled flexibility and extensibility
 in managing storage. This project represents a new approach to
 logical volume management. The architecture introduces a plug-in
 model that allows for easy expansion or customization of various
 levels of volume management.
 .
 In order to make full use of it, you must use a kernel which
 includes the EVMS patch, available in the linux-patch-evms package.
 .
 This package contains core infrastructure for EVMS, and the utilities
 evms_rediscover, evms_devnode_fixup, evms_info_level, evms_metadata_backup
 and evms_metadata_restore.

Package: evms-cli
Architecture: any
Depends: evms, ${shlibs:Depends}
Description: Enterprise Volume Management System (CLI)
 The EVMS project provides unparalleled flexibility and extensibility
 in managing storage. This project represents a new approach to
 logical volume management. The architecture introduces a plug-in
 model that allows for easy expansion or customization of various
 levels of volume management.
 .
 In order to make use of it, you must use a kernel which
 includes the EVMS patch, available in the linux-patch-evms package.
 .
 This package contains a command-line interface used to manage EVMS
 volumes.

Package: evms-ncurses
Architecture: any
Depends: evms, ${shlibs:Depends}
Description: Enterprise Volume Management System (ncurses UI)
 The EVMS project provides unparalleled flexibility and extensibility
 in managing storage. This project represents a new approach to
 logical volume management. The architecture introduces a plug-in
 model that allows for easy expansion or customization of various
 levels of volume management.
 .
 In order to make full use of it, you must use a kernel which
 includes the EVMS patch, available in the linux-patch-evms package.
 .
 This package contains an ncurses-based user interface used to manage
 EVMS volumes.

Package: evms-gui
Architecture: any
Depends: evms, ${shlibs:Depends}
Description: Enterprise Volume Management System (GUI)
 The EVMS project provides unparalleled flexibility and extensibility
 in managing storage. This project represents a new approach to
 logical volume management. The architecture introduces a plug-in
 model that allows for easy expansion or customization of various
 levels of volume management.
 .
 In order to make full use of it, you must use a kernel which
 includes the EVMS patch, available in the linux-patch-evms package.
 .
 This package contains a graphical user interface used to manage EVMS
 volumes.

Package: evms-ha
Architecture: any
Depends: evms, evms-cli, ${shlibs:Depends}
Replaces: libevms-2.1 (<< 2.1.1-1), libevms-2.3 (= 2.3.2-1)
Conflicts: libevms-2.3 (= 2.3.2-1)
Description: Enterprise Volume Management System (high-availability)
 The EVMS project provides unparalleled flexibility and extensibility
 in managing storage. This project represents a new approach to
 logical volume management. The architecture introduces a plug-in
 model that allows for easy expansion or customization of various
 levels of volume management.
 .
 In order to make full use of it, you must use a kernel which includes the EVMS
 patch, available in the linux-patch-evms package.
 .
 This package contains a plugin for the EVMS engine which provides
 high-availability features using heartbeat.

Package: libevms-2.5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Conflicts: libevms0, libevms-2.0, libevms-2.1, libevms-2.2 (= 2.3.0-1)
Recommends: jfsutils (>= 1.0.9), reiserfsprogs, xfsprogs, ${plugins:Depends}
Description: Enterprise Volume Management System (library)
 The EVMS project provides unparalleled flexibility and extensibility
 in managing storage. This project represents a new approach to
 logical volume management. The architecture introduces a plug-in
 model that allows for easy expansion or customization of various
 levels of volume management.
 .
 This package contains the shared library libevms, which is used by
 the user-space tools.

Package: libevms-dev
Section: libdevel
Architecture: any
Depends: evms, libevms-2.5 (= ${Source-Version})
Description: Enterprise Volume Management System (development)
 The EVMS project provides unparalleled flexibility and extensibility
 in managing storage. This project represents a new approach to
 logical volume management. The architecture introduces a plug-in
 model that allows for easy expansion or customization of various
 levels of volume management.
 .
 This package contains the development environment for the library
 libevms.

Package: linux-patch-evms
Architecture: all
Depends: ${kpatch:Depends}
Suggests: kernel-source-2.6, evms
Replaces: kernel-patch-evms
Conflicts: kernel-patch-evms
Provides: kernel-patch-evms
Description: Enterprise Volume Management System (kernel patches)
 The EVMS project provides unparalleled flexibility and extensibility
 in managing storage. This project represents a new approach to
 logical volume management. The architecture introduces a plug-in
 model that allows for easy expansion or customization of various
 levels of volume management.
 .
 This package contains patches to the Linux kernel which implement the
 kernel-space portion of EVMS. It is not needed with recent kernels,
 unless you want a few very specific features (like bad block relocation).

Package: evms-bootdebug
Architecture: all
Depends: evms-cli, evms-ncurses, initramfs-tools
Description: Enterprise Volume Management System (boot-time debugger)
 The EVMS project provides unparalleled flexibility and extensibility
 in managing storage. This project represents a new approach to
 logical volume management. The architecture introduces a plug-in
 model that allows for easy expansion or customization of various
 levels of volume management.
 .
 This package contains tools to make an boot-time rescue/debug image
 for your system, easing operations against your root volume. Please
 see /usr/share/doc/evms-bootdebug/README.Debian for more information.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

export CFLAGS = -g
ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O2
else
CFLAGS += -O0
endif


top:=$(CURDIR)
tmp:=$(top)/debian/tmp

configure: configure-stamp
configure-stamp:
	dh_testdir

	./configure --prefix=/usr --mandir=/usr/share/man --libdir=/lib --with-static-glib

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	$(MAKE)

	touch $@

build-indep: build-indep-stamp
build-indep-stamp:
	touch debian/empty.patch
	rm -rf debian/kpatches
	mkdir debian/kpatches
	for kdir in kernel/2.4 kernel/2.6; do \
		for patch in $$kdir/*.patch; do \
			ln -s $(CURDIR)/$$patch debian/kpatches/$$(basename $$kdir)-$$(basename $$patch); \
		done; \
	done

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp build-indep-stamp configure-stamp

	-$(MAKE) clean
	-$(MAKE) distclean
	rm -rf kernel-headers engine/make.rules
	rm -rf debian/kpatches
	rm -f debian/empty.patch
	rm -f po/*.gmo

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -a

	$(MAKE) install DESTDIR=$(tmp)
	mkdir -p $(tmp)/sbin
	mv $(tmp)/usr/sbin/evms_activate \
		$(tmp)/usr/sbin/evms \
		$(tmp)/usr/sbin/evmsn \
		$(tmp)/usr/sbin/evmsd \
		$(tmp)/sbin

	mkdir -p $(tmp)/usr/lib
	mv $(tmp)/lib/*.a $(tmp)/usr/lib

	for lib in $(tmp)/lib/libevms.so; do \
		ln -s /lib/`readlink $$lib` $(tmp)/usr/lib/`basename $$lib`; \
		rm $$lib; \
	done
	/sbin/ldconfig -n -N $(tmp)/lib

	install -m 755 debian/bug $(CURDIR)/debian/evms/usr/share/bug/evms/script
	for package in evms-cli evms-ncurses evms-gui libevms-dev; do \
		mkdir -p $(CURDIR)/debian/$$package/usr/share/doc; \
		ln -sf evms \
			$(CURDIR)/debian/$$package/usr/share/doc/$$package; \
		mkdir -p $(CURDIR)/debian/$$package/usr/share/bug; \
		ln -s evms \
			$(CURDIR)/debian/$$package/usr/share/bug/$$package; \
	done

	install -m755 -d debian/evms/etc/udev/rules.d
	install -m644 -oroot -groot debian/85-evms.rules \
		debian/evms/etc/udev/rules.d/.

	install -m 644 debian/evms.devfs $(CURDIR)/debian/evms/etc/devfs/conf.d/evms
	install -m 755 debian/evms.mkinitrd.probe $(CURDIR)/debian/evms/usr/share/initrd-tools/probe.d/evms
	install -m 755 debian/hooks_evms $(CURDIR)/debian/evms/usr/share/initramfs-tools/hooks/evms
	install -m 755 debian/local-top_evms $(CURDIR)/debian/evms/usr/share/initramfs-tools/scripts/local-top/evms

binary-indep: build-indep
	dh_testdir -i
	dh_testroot -i
	dh_installdirs -i
	
	install -m 755 debian/hooks_evms_bootdebug $(CURDIR)/debian/evms-bootdebug/usr/share/initramfs-tools/hooks/evms_bootdebug
	install -m 755 debian/local-top_evms_bootdebug $(CURDIR)/debian/evms-bootdebug/usr/share/initramfs-tools/scripts/local-top/evms_bootdebug
	
	dh_installdocs -i
	dh_installexamples -i
	dh_installchangelogs ChangeLog -i
	dh_installkpatches -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_install -a --sourcedir=debian/tmp
	dh_installdocs -a
	dh_installmenu -a
	
	dh_installinit -pevms --no-start -r -u"start 25 S . start 49 0 6 ."
	dh_installmodules -a
	dh_installchangelogs ChangeLog -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a -Xlib/evms/ -V
	dh_installdeb -a
	
	# This one is already in evms-ha, don't duplicate it
	$(RM) debian/libevms-2.5/lib/evms/*/ha*.so
	
	# Shared library shlibdeps
	dh_shlibdeps -a -ldebian/libevms-2.5/lib -Xlib/evms/
	
	# Plugin shlibdeps
	dh_shlibdeps -plibevms-2.5 -u"-pplugins" -Xlib/lib
	dh_gencontrol -a
	dh_md5sums -a
	
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
http://download.sourceforge.net		/evms	evms-(.*)\.tar\.gz	debian
